# Uses of Enum Class
org.bukkit.Art

Packages that use Art
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Art in org.bukkit

Fields in org.bukkit with type parameters of type Art
Modifier and Type
Field
Description
`static final Registry<Art>`
Registry.`ART`
Server art.
Methods in org.bukkit that return Art
Modifier and Type
Method
Description
`static @Nullable Art`
Art.`getById(int id)`
Deprecated.
Magic value
`static @Nullable Art`
Art.`getByName(@NotNull String name)`
Get a painting by its unique name
`static Art`
Art.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Art[]`
Art.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Art in org.bukkit.entity

Methods in org.bukkit.entity that return Art
Modifier and Type
Method
Description
`@NotNull Art`
Painting.`getArt()`
Get the art on this painting
Methods in org.bukkit.entity with parameters of type Art
Modifier and Type
Method
Description
`boolean`
Painting.`setArt(@NotNull Art art)`
Set the art on this painting
`boolean`
Painting.`setArt(@NotNull Art art, boolean force)`
Set the art on this painting